import { ReactNode } from 'react';
declare type UsePortalOptionsType = {
    bindTo?: HTMLElement;
    isOpen?: boolean;
};
declare type UsePortalType = {
    Portal: ({ children }: {
        children: ReactNode;
    }) => React.ReactPortal | null;
};
export declare function usePortal({ bindTo }?: UsePortalOptionsType): UsePortalType;
export {};
